# cs-service

cs-service 财说服务管理工具, 根据项目中的config/project.yml, 来启动相关服务

配置文件示例: [config/project.yml](https://gitlab.caishuo.com/ruby/cs-service/blob/83fd09c1c2ee9e95ed07252090501c03557fa54d/examples/project.yml)

## Installation

    $ gem install cs-service

## Commands:

    cs-service env [ENV_NAME]     # 环境变量检查
    cs-service eye ...ARGS        # 执行eye口令, 详细参考 cs-service eye
    cs-service help [COMMAND]     # 帮助
    cs-service info [PROJECT]     # 查看当前运行状态
    cs-service load               # 首次加载配置文件
    cs-service quit               # 退出 cs-service
    cs-service restart [PROJECT]  # 重启项目
    cs-service start [PROJECT]    # 启动项目
    cs-service stop [PROJECT]     # 停止项目
    cs-service version            # 当前版本

### Step1 检查配置是否生效, 是否可以找到有效的配置文件

    $ cs-service env
    
### Step2 加载配置

    $ cs-service load
    
### Step3 查看当前加载的项目状态

    $ cs-service info
    
### Step4 如果环境设置正确，则启动项目

    $ cs-service start                      # 启动所有项目
    
    # 如果单独启动项目
    $ cs-service start web                  # 启动caishuo主站
    $ cs-service start rest_server          # 启动Rest Server
    $ cs-service start trading_server       # 启动Trading Server

## Development

    rake build
    rake install
    rake install:local
    rake release
## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/cs-service. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).